Add initial code
[ta/build-tools.git] / dib_elements / myproduct / finalise.d / 99-remove-dhcp-all-interfaces-udev-rules
diff --git a/dib_elements/myproduct/finalise.d/99-remove-dhcp-all-interfaces-udev-rules b/dib_elements/myproduct/finalise.d/99-remove-dhcp-all-interfaces-udev-rules
new file mode 100755 (executable)
index 0000000..f8382d4
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/bash
+# Copyright 2019 Nokia
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ ${DIB_DEBUG_TRACE:-0} -gt 0 ]; then
+    set -x
+fi
+set -eu
+set -o pipefail
+
+rm -rf /etc/udev/rules.d/99-dhcp-all-interfaces.rules
+# below file is coming from the base image we use
+rm -rf /etc/sysconfig/network-scripts/ifcfg-eth0